Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSystemTrayIcon.MessageIcon

    java.lang.Object
      java.lang.Enum<QSystemTrayIcon.MessageIcon>
          com.trolltech.qt.gui.QSystemTrayIcon.MessageIcon

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSystemTrayIcon.MessageIcon>

Enclosing class:
  QSystemTrayIcon

    public static enum QSystemTrayIcon.MessageIcon

extends java.lang.Enum<QSystemTrayIcon.MessageIcon>
implements QtEnumerator

This enum describes the icon that is shown when a balloon message is displayed.

See Also:
  `QMessageBox`

Enum Constant Summary
`Critical` A critical warning icon is shown.
`Information` An information icon is shown.
`NoIcon` No icon is shown.
`Warning` A standard warning icon is shown.

Method Summary
`static QSystemTrayIcon.MessageIcon` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSystemTrayIcon.MessageIcon` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSystemTrayIcon.MessageIcon[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoIcon

    public static final QSystemTrayIcon.MessageIcon NoIcon

  No icon is shown.

### Information

    public static final QSystemTrayIcon.MessageIcon Information

  An information icon is shown.

### Warning

    public static final QSystemTrayIcon.MessageIcon Warning

  A standard warning icon is shown.

### Critical

    public static final QSystemTrayIcon.MessageIcon Critical

  A critical warning icon is shown.

Method Detail

### values

    public static final QSystemTrayIcon.MessageIcon[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSystemTrayIcon.MessageIcon c : QSystemTrayIcon.MessageIcon.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSystemTrayIcon.MessageIcon valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSystemTrayIcon.MessageIcon resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD